# Program to generate a plot for a function using matplotlib and numpy
# Dr. Walter F. de Azevedo Jr.
# https://azevedolab.net/
# Porto Alegre, April 2, 2019

# Import packages and module
import matplotlib.pyplot as plt
import numpy as np

# Define limits
x_min = 0.0
x_max = 2*np.pi

# Define x range with linspace
x = np.linspace(x_min,x_max,200)

# Define function
y = np.sin(x) 

# Create plot
plt.plot(x,y)

# Show plot
plt.show()

# Save plot on png file
plt.savefig("function_1.png")