# Program to generate a plot for functions using matplotlib and numpy. Plot is generated with labels and grid
# Dr. Walter F. de Azevedo Jr.
# https://azevedolab.net/
# Porto Alegre, April 2, 201

# Imports libraries
import matplotlib.pyplot as plt 
import numpy as np

# Define limits
x_min = 0.0
x_max = 2*np.pi

# Define x range with np.linspace()
x = np.linspace(x_min,x_max, 200)

# Define functions
sine_func   = np.sin(x) 
cos_func    = np.cos(x)

# Create plots
plt.plot(x,sine_func)
plt.plot(x,cos_func)

plt.xlabel('x-axis')                    # Add axis label
plt.ylabel('y-axis')                    # Add axis label
plt.title('Sine and Cosine Functions')  # Add title
plt.grid(True)                          # Add grid to the plot

# Show plot
plt.show()

# Save plot on png file
plt.savefig('function_2.png')
