# Program to generate a plot for functions using matplotlib and numpy. Plot is generated with labels and grid
# Information about x range, axis labels, title and output file is read from keyboad
# Dr. Walter F. de Azevedo Jr.
# https://azevedolab.net/
# Porto Alegre, April 2, 2019

# Import libraries
import matplotlib.pyplot as plt 
import numpy as np

# Read input information
x_min = float(input("Type minimum value for x-axis => "))
x_max = float(input("Type maximum value for x-axis => "))
x_label = input("Type x-axis label => ")
y_label = input("Type y-axis label => ")
plot_title = input("Type plot title => ")
output_file = input("Type output file name => ")

# Define x range with np.linspace()
x = np.linspace(x_min, x_max, 200)

# Define functions
sine_func   = np.sin(x) 
cos_func    = np.cos(x)

# Create plots
plt.plot(x,sine_func)
plt.plot(x,cos_func)

plt.xlabel(x_label)     # Add axis label
plt.ylabel(y_label)     # Add axis label
plt.title(plot_title)   # Add title
plt.grid(True)          # Add grid to the plot

# Show plot
plt.show()

# Save plot on png file
plt.savefig(output_file)