# Program to generate a plot for cosine and sine functions using matplotlib and numpy. Plot is generated with labels and grid
# Information about x range, axis labels, title and output file is read from keyboad

# Imports libraries
import matplotlib.pyplot as plt 
import numpy as np

# Reads input information
x_min = float(input("Type minimum value for x-axis => "))
x_max = float(input("Type maximum value for x-axis => "))
x_label = input("Type x-axis label => ")
y_label = input("Type y-axis label => ")
plot_title = input("Type plot title => ")
output_file = input("Type output file name => ")

# Defines x range with np.linspace()
x = np.linspace(x_min, x_max, 100)

# Defines sine and cosine functions
sine_func   = np.sin(x) 
cos_func    = np.cos(x)

# Creates plots
plt.plot(x,sine_func)
plt.plot(x,cos_func)

plt.xlabel(x_label)     # Adds axis label
plt.ylabel(y_label)     # Adds axis label
plt.title(plot_title)   # Adds title
plt.grid(True)          # Adds grid to the plot

# Shows plot
plt.show()

# Saves plot on png file
plt.savefig(output_file)